Page MenuHomeFreeBSD

UPDATING: Remove old entries
ClosedPublic

Authored by imp on Nov 28 2022, 7:35 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jan 25, 11:31 PM
Unknown Object (File)
Sat, Jan 21, 1:01 AM
Unknown Object (File)
Fri, Jan 20, 11:20 PM
Unknown Object (File)
Mon, Jan 9, 4:07 AM
Unknown Object (File)
Jan 7 2023, 2:49 PM
Unknown Object (File)
Jan 5 2023, 5:16 AM
Unknown Object (File)
Dec 15 2022, 4:05 PM
Unknown Object (File)
Dec 2 2022, 9:29 AM

Details

Summary

Belatedly remove the entries older than the stable/11 branch point after
stable/13 was created. This should be done shortly after the branch, not
well after the branch point.

Document this policy in UPDATING, though other checklists should likely
be updated as well.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Nov 28 2022, 7:35 AM

Typo: "entriels"

As a non native speaker I would have expected something like "As an example" for the second sentence.

Typo: "entriels"

As a non native speaker I would have expected something like "As an example" for the second sentence.

I'll fix the typo. Good suggestion for text to use. I'm hoping whoever updates it will document the next thing
to do and the next time to do it. Not sure how to capture that.

grahamperrin added inline comments.
UPDATING
1
7
1637–1641

This paragraph should fall below the 'COMMON ITEMS:' heading.

1870–1871

Blank line before a heading.

Whilst here, make the heading somehow truer to the headed text.

(Within the originally headed text: "… fetch an UPDATING file …" is not a formatting instruction; and so on.)

1873–1877

Change the date.

Whilst here, maybe change the wording (not all changes are breakages; and so on).

1881

Does this date change?

(The question might have been answered in some other revision … I can't find it, sorry.)

If the date should never (or rarely) change: maybe drop a hint above, under FORMAT AND CONTENT.

UPDATING
1637–1641

… sorry, I seem to have lost the blank line above COMMON ITEMS:

UPDATING
1637–1641

This paragraph should fall below the 'COMMON ITEMS:' heading.

For clarity: not directly below.

I mean, it should fall somewhere below.

Probably somewhere below FORMAT AND CONTENT:

emaste added a subscriber: emaste.

This seems like the right amount to remove

UPDATING
7

These can/should be committed as independent fixes

This revision is now accepted and ready to land.Dec 12 2022, 9:14 PM
This revision was automatically updated to reflect the committed changes.